Subject: [bug#47640] [PATCH v2] Add sqlitebrowser.

From: Allan Adair <[email-masked]>
Date: Fri, 9 Apr 2021 13:07:52 +0200

Hi Nicolò.

On 4/7/21 5:56 PM, Nicolò Balzarotti wrote:

> Did you run ./pre-inst-env guix lint sqlitebrowser ?  This should tell
> you if something is wrong 

Thanks! I really appreciate this guidance! It was an oversight on my part.

>> +    (license (list license:gpl3+ license:mpl2.0))))
> I see that there are bundled dependencies (under /libs), could you try
> unbundle them (remove the lib folder with a source snippet) and build
> using guix dependencies?  There are only four of them, two of which
> (nlohmann-json-cpp and qscintilla) are already in guix.  Else it might
> be needed to fix the licence.

I have been trying over the past couple of days with some difficulty. I 
will continue with some more effort next week, but since I am not an 
expert on the codebase (or cmake!) I may beg for fixing the licenses 
instead.